DeleteDbRowOp (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.access.flush.operation, class: DeleteDbRowOp

# Class DeleteDbRowOp

java.lang.Object
org.apache.cayenne.access.flush.operation.BaseDbRowOp
org.apache.cayenne.access.flush.operation.DeleteDbRowOp

All Implemented Interfaces:
  `DbRowOp, DbRowOpWithQualifier`

public class DeleteDbRowOp extends BaseDbRowOp implements DbRowOpWithQualifier

Since:
  4.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Qualifier`
  `qualifier`

  ### Fields inherited from class BaseDbRowOp

  `changeId, entity, hashCode, object`
  Modifier and Type
  Field
  Description
  `protected ObjectId`
  `changeId`
  `protected final DbEntity`
  `entity`
  `protected int`
  `hashCode`
  `protected final Persistent`
  `object`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteDbRowOp(Persistent object, DbEntity entity, ObjectId id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> T`
  `accept(DbRowOpVisitor<T> visitor)`
  `boolean`
  `equals(Object o)`
  `Qualifier`
  `getQualifier()`
  `boolean`
  `isSameBatch(DbRowOp rowOp)`
  `void`
  `setChangeId(ObjectId changeId)`
  `String`
  `toString()`

  ### Methods inherited from class BaseDbRowOp

  `entitiesHaveSameNameAndDataMap, getChangeId, getEntity, getObject, hashCode`
  Modifier and Type
  Method
  Description
  `protected boolean`
  `entitiesHaveSameNameAndDataMap(DbRowOp rowOp)`
  Internal check used in the batching ops logic
  `ObjectId`
  `getChangeId()`
  `DbEntity`
  `getEntity()`
  `Persistent`
  `getObject()`
  `int`
  `hashCode()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### qualifier

    protected final Qualifier qualifier

- ## Constructor Details

  - ### DeleteDbRowOp

    public DeleteDbRowOp(Persistent object, DbEntity entity, ObjectId id)

- ## Method Details

  - ### accept

    public <T> T accept(DbRowOpVisitor<T> visitor)
    Specified by:
      `accept` in interface `DbRowOp`

  - ### setChangeId

    public void setChangeId(ObjectId changeId)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `BaseDbRowOp`

  - ### isSameBatch

    public boolean isSameBatch(DbRowOp rowOp)
    Specified by:
      `isSameBatch` in interface `DbRowOp`
    Parameters:
      `rowOp` - to check
    Returns:
      is this and rowOp operations belong to same sql batch

  - ### getQualifier

    public Qualifier getQualifier()
    Specified by:
      `getQualifier` in interface `DbRowOpWithQualifier`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BaseDbRowOp`